Subject: bug#63142: closed (Re: bug#63142: 30.0.50; QUOTING_STYLE can break dired)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 02 May 2023 17:49:01 +0000

Your bug report

#63142: 30.0.50; QUOTING_STYLE can break dired

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63142: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63142
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63142: 30.0.50; QUOTING_STYLE can break dired
From: Eli Zaretskii <[email-masked]>
To: Yuri D'Elia <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 02 May 2023 20:48:47 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Yuri D'Elia <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Tue, 02 May 2023 17:57:50 +0200
> 
> On Tue, May 02 2023, Eli Zaretskii wrote:
> > What about the patch I proposed: does it give good results?
> 
> Working as intended.

Thanks, so I've now installed it on the master branch, and I'm closing
this bug.

Subject: 30.0.50; QUOTING_STYLE can break dired
From: Yuri D'Elia <[email-masked]>
To: [email-masked]
Date: Fri, 28 Apr 2023 11:35:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

If the environment variable QUOTING_STYLE is set, GNU "ls" can return a
format that dired doesn't like.

QUOTING_STYLE=shell will quote files with spaces such as 'a b', and
trying to interact with these files with dired results in:

dired-get-file-for-visit: File no longer exists; type g to update Dired buffer

Interestingly, even using "ls --dired" does the same if QUOTING_STYLE is
set.

Should dired handle QUOTING_STYLE (looking at the coreutils manual it
seems that other tools besides ls handle it) or should dired actively
suppress the quoting mode?